# Class DiscoveryTestDemo

java.lang.Object
de.javawi.jstun.test.demo.DiscoveryTestDemo

All Implemented Interfaces:
  `Runnable`

public class DiscoveryTestDemo extends Object implements Runnable

## Constructor Summary

Constructors
Constructor
Description
`DiscoveryTestDemo(InetAddress iaddress)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`void`
`run()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DiscoveryTestDemo

public DiscoveryTestDemo(InetAddress iaddress)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### main

public static void main(String[] args)